"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const index_1 = __importDefault(require("./index"));
const inputArg = process.argv[2];
if (inputArg && inputArg !== "-") {
    const input = (0, fs_1.readFileSync)(inputArg, "utf8");
    console.log((0, index_1.default)(input));
}
else {
    process.stdin.on("data", (data) => {
        console.log((0, index_1.default)(data.toString()));
    });
}
