import type { Extension, MarkedToken } from "./types";
export type SpoilerToken = {
    type: "spoiler";
    raw: string;
    text: string;
    tokens: MarkedToken[];
};
export type NoparseToken = {
    type: "noparse";
    raw: string;
    text: string;
};
export type NoparsespanToken = {
    type: "noparsespan";
    raw: string;
    text: string;
};
export type BlockquoteToken = {
    type: "blockquote";
    raw: string;
    tokens: MarkedToken[];
    author?: string | null | undefined;
};
declare const extensions: Extension[];
export default extensions;
