"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const marked_1 = require("marked");
const renderer_1 = __importDefault(require("./renderer"));
const extensions_1 = __importDefault(require("./extensions"));
marked_1.marked.setOptions({ breaks: true });
marked_1.marked.use({ renderer: renderer_1.default, extensions: extensions_1.default });
/**
 * Renders the given Markdown string to Steam's text format.
 */
function parse(input) {
    return marked_1.marked.parse(input).replace(/\n+$/, "");
}
exports.default = parse;
