import { marked } from "marked";
import renderer from "./renderer";
import extensions from "./extensions";
marked.setOptions({ breaks: true });
marked.use({ renderer: renderer, extensions: extensions });
/**
 * Renders the given Markdown string to Steam's text format.
 */
export default function parse(input) {
    return marked.parse(input).replace(/\n+$/, "");
}
